
Redmine - Feature #19869

Consider increasing the size limit of description and note columns for tickets

2015-05-17 23:50 - Deoren Moor

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Currently for MySQL (haven't tested other databases) the issue.description and journal.notes fields are of type text. I attempted to

post a detailed report of some work I was doing earlier to a Redmine installation I run and encountered the cap for the text type. I had

opted to post the details directly into the OP instead of a text file attachment because I was hoping to have the contents of the report

searchable.

Notepad++ tells me the length of the content is 69161, which I assume is characters. I spent a while researching (since I am not a

MySQL expert by any means) and came upon these references:

https://dev.mysql.com/doc/refman/5.5/en/blob.html

https://dev.mysql.com/doc/refman/5.5/en/storage-requirements.html

https://dev.mysql.com/doc/refman/5.5/en/string-type-overview.html

According to the last link the text type is:

A TEXT column with a maximum length of 65,535 (216 − 1) characters. The effective maximum length is less if the value

contains multibyte characters. Each TEXT value is stored using a 2-byte length prefix that indicates the number of bytes in the

value.

 If I understand the details correctly (I'm still new), these field types are of variable length, so if the type were changed to

MEDIUMTEXT the cap would be raised from 65,535 bytes to 16,777,215 bytes but the actual storage required for only a small

amount of content would be based on the amount of actual content.

Please consider adjusting the field types for these and related columns in a future Redmine release in order to support larger

descriptions and comments on issues.

Thank you for your consideration.

Related issues:

Related to Redmine - Defect #21993: Projects description cannot contain long ... Closed

Related to Redmine - Defect #24006: Add character limitation on description f... Closed

Has duplicate Redmine - Feature #7007: MySQL Field size for large text fields Closed 2010-11-30

Has duplicate Redmine - Defect #22119: Error: Data too long for column 'notes... Closed

Is duplicate of Redmine - Defect #20127: The description column in the issues... Closed

History

#1 - 2015-07-28 10:12 - Go MAEDA

- Related to Defect #20127: The description column in the issues table is too short (MySQL) added

#2 - 2015-10-08 04:56 - Go MAEDA

- Has duplicate Feature #7007: MySQL Field size for large text fields added

#3 - 2016-02-09 17:13 - okkez _

- File 0001-Raises-journals-notes-limit-to-4GB-19869.patch added

- File 0002-Raises-issues-description-limit-to-4GB-19869.patch added

I've created patches for this issue.
In my case, I want to change DB from SQLite3 to MySQL.

SQLite3's text type can contain unlimited size of text.

But MySQL's text type is limitted to 64KB.

So I have to change these column's limit.

#4 - 2016-02-22 16:11 - Toshi MARUYAMA

- Related to Defect #21993: Projects description cannot contain long text on MySQL added

#5 - 2016-03-15 03:55 - Go MAEDA

- Has duplicate Defect #22119: Error: Data too long for column 'notes' when copy paste pictures added

#6 - 2016-10-06 14:41 - Toshi MARUYAMA

- Related to Defect #24006: Add character limitation on description field for MySQL added

#7 - 2016-10-24 17:44 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Duplicate of #20127.

#8 - 2016-10-24 17:44 - Toshi MARUYAMA

- Related to deleted (Defect #20127: The description column in the issues table is too short (MySQL))

#9 - 2016-10-24 17:45 - Toshi MARUYAMA

- Is duplicate of Defect #20127: The description column in the issues table is too short (MySQL) added

Files

0001-Raises-journals-notes-limit-to-4GB-19869.patch 986 Bytes 2016-02-09 okkez _

0002-Raises-issues-description-limit-to-4GB-19869.patch 1018 Bytes 2016-02-09 okkez _
